.cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 25px;
    margin-top: 20px;
}

.card {
    background: white;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0 2px 12px rgba(0,0,0,0.08);
    transition: 0.3s;

    display: flex;
    flex-direction: column;

    min-height: 650px;
}
.card-content {
    padding: 15px;
}
.card:hover {
    transform: translateY(-5px);
}

.card img {
    width: 100%;
    height: 240px;
    object-fit: cover;
    display: block;
}

.card-content {
    padding: 20px;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.card h3 {
    font-size: 36px;
    margin: 15px 0;
    line-height: 1.2;
    min-height: 90px;
}

.type {
    display: inline-block;
    background: #2563eb;
    color: white;
    padding: 6px 12px;
    border-radius: 8px;
    width: fit-content;
    margin-bottom: 15px;
}

.metro {
    color: #666;
    margin-bottom: 10px;
}

.price {
    font-size: 38px;
    font-weight: bold;
    color: #16a34a;
    margin: 15px 0;
}

.description {
    margin-top: auto;
    line-height: 1.5;
    min-height: 80px;
}